Length.When (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs, class: Length, class: When

# Class Length.When

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.types.Comparison
org.apache.tools.ant.taskdefs.Length.When

Enclosing class:
  `Length`

public static class Length.When extends Comparison
EnumeratedAttribute for the when attribute.

Since:
  Ant 1.6.3

- ## Field Summary

  ### Fields inherited from class Comparison

  `EQUAL, GREATER, GREATER_EQUAL, LESS, LESS_EQUAL, NOT_EQUAL`
  Modifier and Type
  Field
  Description
  `static final Comparison`
  `EQUAL`
  Equal Comparison.
  `static final Comparison`
  `GREATER`
  Greater Comparison.
  `static final Comparison`
  `GREATER_EQUAL`
  Greater-or-Equal Comparison.
  `static final Comparison`
  `LESS`
  Less Comparison.
  `static final Comparison`
  `LESS_EQUAL`
  Less-or-Equal Comparison.
  `static final Comparison`
  `NOT_EQUAL`
  Not-Equal Comparison.

  ### Fields inherited from class EnumeratedAttribute

  `value`
  Modifier and Type
  Field
  Description
  `protected String`
  `value`
  The selected value in this enumeration.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `When()`

- ## Method Summary

  ### Methods inherited from class Comparison

  `evaluate, getValues`
  Modifier and Type
  Method
  Description
  `boolean`
  `evaluate(int comparisonResult)`
  Evaluate a comparison result as from Comparator.compare() or Comparable.compareTo().
  `String[]`
  `getValues()`
  Return the possible values.

  ### Methods inherited from class EnumeratedAttribute

  `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`
  Modifier and Type
  Method
  Description
  `final boolean`
  `containsValue(String value)`
  Is this value included in the enumeration?
  `final int`
  `getIndex()`
  `static EnumeratedAttribute`
  `getInstance(Class<? extends EnumeratedAttribute> clazz, String value)`
  Factory method for instantiating EAs via API in a more developer friendly way.
  `final String`
  `getValue()`
  `final int`
  `indexOfValue(String value)`
  get the index of a value in this enumeration.
  `void`
  `setValue(String value)`
  Invoked by `IntrospectionHelper`.
  `String`
  `toString()`
  Convert the value to its string form.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### When

    public When()